mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricSignatureDeformatter System.Runtime.InteropServices.ComVisible(true)

This class is used to verify a digital signature made with the algorithm.

Use to create digital signatures with the algorithm.

Verifies an PKCS #1 version 1.5 signature.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use and to set the key and hash algorithm before calling .

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use to set the hash algorithm before calling .

  Initializes a new instance of the class with the specified key.

  The instance of that holds the public key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a hash algorithm before calling .

  Sets the hash algorithm to use for verifying the signature.

  The name of the hash algorithm to use for verifying the signature.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a key before calling .

  Sets the public key to use for verifying the signature.

  The instance of that holds the public key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  You must specify a key and a hash algorithm before calling this method.

  Verifies the PKCS#1 signature for the specified data.

  true if matches the signature computed using the specified hash algorithm and key on ; otherwise, false.

  The data signed with . The signature to be verified for .